if [ ! -f /var/openldap/openldap-data/DB_CONFIG ]
then
    /usr/bin/mkdir -p /var/openldap/openldap-data
    /usr/bin/cp /etc/defaults/var/openldap/openldap-data/DB_CONFIG /var/openldap/openldap-data/DB_CONFIG
fi

if [ ! -f /etc/openldap/slapd.conf ]
then
    /usr/bin/mkdir -p /etc/openldap
    /usr/bin/cp /etc/defaults/etc/openldap/slapd.conf /etc/openldap/slapd.conf
fi

if [ ! -f /etc/openldap/ldap.conf ]
then
    /usr/bin/mkdir -p /etc/openldap
    /usr/bin/cp /etc/defaults/etc/openldap/ldap.conf /etc/openldap/ldap.conf
fi

if [ ! -f /etc/openldap/slapd.ldif ]
then
    /usr/bin/mkdir -p /etc/openldap
    /usr/bin/cp /etc/defaults/etc/openldap/slapd.ldif /etc/openldap/slapd.ldif
fi

